<template>
	<div v-if="loading" class="text-center">
		<h4>Loading...</h4>
	</div>
	<div v-else>
		<div>
			<div class="row">
				<div class="col-md-12">
					<form
						class="form-horizontal"
						action="#"
						method="post"
					>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group" :class="showError('times')">
									<label class="col-sm-2 control-label">Times</label>
									<div class="col-sm-4">
										<div class="input-group">
											<input  type="text" class="form-control timepicker from" name="times"  v-validate="'less_than_eq:toTime'">
											<div class="input-group-addon">
												<i class="fa fa-clock-o"></i>
											</div>
										</div>
									</div>
									<label class="col-sm-1 control-label">To</label>
									<div class="col-sm-4">
										<div class="input-group">
											<input type="text" class="form-control timepicker to" name="to" ref="toTime">
											<div class="input-group-addon">
												<i class="fa fa-clock-o"></i>
											</div>
										</div>
									</div>
									<div class="col-sm-offset-2 col-sm-10">
								<span v-show="errors.has('times')" class="help-block">
                                    {{ errors.first('times') }}
								</span>
									</div>

								</div>
							</div>
						</div><!--end row-->
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label for="remaining" class="col-sm-2 control-label">Point</label>

									<div class="col-sm-10">
										<label class="control-label">
											<span
												id="remaining"
												name="remaining"
											><i class="fa fa-star" aria-hidden="true"></i> {{remainingPoint}}  </span>
										</label>
									</div>
								</div>
							</div>
						</div><!--end row-->
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<div class="col-sm-offset-2 col-sm-10">
										<button type="button" @click="validateForm" class="btn btn-danger">Save</button>
									</div>
								</div>
							</div>
						</div><!--end row-->
					</form>
				</div>
				<div class="col-md-12">
					<div id="map" class="map"></div>
				</div>
			</div>
		</div>
	</div>
</template>

<script src='./Edition.js'></script>

<style>
	.map { height: 300px; }
	.select2-result-repository {
		padding-top: 4px;
		padding-bottom: 3px;
	}
	.select2-result-repository__avatar {
		float: left;
		width: 60px;
		margin-right: 10px;
	}
	.select2-result-repository__meta {
		margin-left: 70px;
	}
	.select2-result-repository__title {
		color: black;
		font-weight: 700;
		overflow-wrap: break-word;
		line-height: 1.1;
		margin-bottom: 4px;
	}
	.select2-result-repository__description {
		font-size: 13px;
		color: rgb(119, 119, 119);
		margin-top: 4px;
	}
	.select2-result-repository__forks, .select2-result-repository__stargazers {
		margin-right: 1em;
	}
	.select2-results__option--highlighted .select2-result-repository__forks, .select2-results__option--highlighted .select2-result-repository__stargazers, .select2-results__option--highlighted .select2-result-repository__description, .select2-results__option--highlighted .select2-result-repository__watchers {
		color: rgb(198, 220, 239);
	}
	.select2-result-repository__avatar img {
		width: 100%;
		height: auto;
		border-radius: 2px;
	}
	.select2-result-repository__forks, .select2-result-repository__stargazers, .select2-result-repository__watchers {
		display: inline-block;
		color: rgb(170, 170, 170);
		font-size: 11px;
	}
	.select2-results__option--highlighted .select2-result-repository__title {
		color: white;
	}
	.select2-container--default .select2-results__option--highlighted[aria-selected] {
		background-color: rgb(88, 151, 251);
		color: white;
	}
</style>
